## osinfo_devicelink

osinfo_devicelink — A hardware devicelink

## Functions

OsinfoDeviceLink * | osinfo_devicelink_new ()
OsinfoDevice * | osinfo_devicelink_get_target ()
const gchar * | osinfo_devicelink_get_driver ()

## Types and Values

#define | OSINFO_TYPE_DEVICELINK
#define | OSINFO_DEVICELINK_PROP_DRIVER
#define | OSINFO_DEVICELINK_PROP_SUPPORTED

## Description

OsinfoDeviceLink is an entity representing some kind of hardware devicelink. DeviceLinks can be associated with operating systems and platforms.

## Functions

### osinfo_devicelink_new ()

    OsinfoDeviceLink *
    osinfo_devicelink_new (OsinfoDevice *target);

Construct a new link for an OsinfoDevice. The unique ID of the link is set to match the ID of the target device.

#### Parameters

target | the target device |

#### Returns

the new device link.

[transfer full]

### osinfo_devicelink_get_target ()

    OsinfoDevice *
    osinfo_devicelink_get_target (OsinfoDeviceLink *link);

Retrieve the OsinfoDevice that the link points to.

#### Parameters

link | the device link |

#### Returns

the target of the device link.

[transfer none]

### osinfo_devicelink_get_driver ()

    const gchar *
    osinfo_devicelink_get_driver (OsinfoDeviceLink *link);

## Types and Values

### OSINFO_TYPE_DEVICELINK

    #define OSINFO_TYPE_DEVICELINK (osinfo_devicelink_get_type ())

### OSINFO_DEVICELINK_PROP_DRIVER

    #define OSINFO_DEVICELINK_PROP_DRIVER   "driver"

### OSINFO_DEVICELINK_PROP_SUPPORTED

    #define OSINFO_DEVICELINK_PROP_SUPPORTED  "supported"

## See Also

OsinfoOs, OsinfoPlatform